curl --request PUT \
--url https://{host}/api/dlp/admin/v1/field-control-policies/{id}/catalog-unlisted-table-action \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"catalog_unlisted_table_action": "<string>"
}
'import requests
url = "https://{host}/api/dlp/admin/v1/field-control-policies/{id}/catalog-unlisted-table-action"
payload = { "catalog_unlisted_table_action": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({catalog_unlisted_table_action: '<string>'})
};
fetch('https://{host}/api/dlp/admin/v1/field-control-policies/{id}/catalog-unlisted-table-action', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/dlp/admin/v1/field-control-policies/{id}/catalog-unlisted-table-action",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'catalog_unlisted_table_action' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/dlp/admin/v1/field-control-policies/{id}/catalog-unlisted-table-action"
payload := strings.NewReader("{\n \"catalog_unlisted_table_action\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{host}/api/dlp/admin/v1/field-control-policies/{id}/catalog-unlisted-table-action")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"catalog_unlisted_table_action\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/dlp/admin/v1/field-control-policies/{id}/catalog-unlisted-table-action")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"catalog_unlisted_table_action\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"created_at": "<string>",
"created_by": "<string>",
"enabled": true,
"id": "<string>",
"mcp_server_id": "<string>",
"name": "<string>",
"org_id": "<string>",
"rules": "<unknown>",
"updated_at": "<string>",
"updated_by": "<string>",
"version": 123,
"catalog_unlisted_table_action": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Set a field-control policy's unlisted-table override
What catalog-aware SQL controls do for this MCP server with a table no rule covers: allow, block or observe, or null to fall back to the organization default (PUT /config). Requires catalog SQL controls to be enabled for the organization.
curl --request PUT \
--url https://{host}/api/dlp/admin/v1/field-control-policies/{id}/catalog-unlisted-table-action \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"catalog_unlisted_table_action": "<string>"
}
'import requests
url = "https://{host}/api/dlp/admin/v1/field-control-policies/{id}/catalog-unlisted-table-action"
payload = { "catalog_unlisted_table_action": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({catalog_unlisted_table_action: '<string>'})
};
fetch('https://{host}/api/dlp/admin/v1/field-control-policies/{id}/catalog-unlisted-table-action', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/dlp/admin/v1/field-control-policies/{id}/catalog-unlisted-table-action",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'catalog_unlisted_table_action' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/dlp/admin/v1/field-control-policies/{id}/catalog-unlisted-table-action"
payload := strings.NewReader("{\n \"catalog_unlisted_table_action\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{host}/api/dlp/admin/v1/field-control-policies/{id}/catalog-unlisted-table-action")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"catalog_unlisted_table_action\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/dlp/admin/v1/field-control-policies/{id}/catalog-unlisted-table-action")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"catalog_unlisted_table_action\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"created_at": "<string>",
"created_by": "<string>",
"enabled": true,
"id": "<string>",
"mcp_server_id": "<string>",
"name": "<string>",
"org_id": "<string>",
"rules": "<unknown>",
"updated_at": "<string>",
"updated_by": "<string>",
"version": 123,
"catalog_unlisted_table_action": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
A Barndoor API key, sent as Authorization: Bearer <key>. Keys are prefixed bdai_ and are opaque — do not attempt to decode one. Interchangeable with an OAuth 2.0 access token.
Path Parameters
Identifier, a UUID
Body
Body of PUT /field-control-policies/{id}/catalog-unlisted-table-action.
This server's override for tables no catalog-aware SQL rule covers: allow, block or observe; null clears it back to the organization default. Required.
Response
The updated field-control policy
This server's override for tables no catalog-aware SQL rule covers. Absent when not set, which means the org default applies.